/**
 * SKA MID Sensitivity Calculator API
 * The SKA MID Sensitivity Calculator API offers two modes: continuum and zoom.  Each of these has an API resource to calculate a sensitivity or integration time for an observation,  and another to retrieve information relating to image weighting (beam-size and relative sensitivity).  There is also a resource for obtaining subarray information. 
 *
 * The version of the OpenAPI document: 10.0.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


export interface MidConfusionNoise { 
    /**
     * Confusion noise for given beam size and frequency
     */
    value: number;
    /**
     * Whether the confusion noise is a limit or value
     */
    limit_type: MidConfusionNoise.LimitTypeEnum;
}
export namespace MidConfusionNoise {
    export type LimitTypeEnum = 'upper limit' | 'lower limit' | 'value';
    export const LimitTypeEnum = {
        UpperLimit: 'upper limit' as LimitTypeEnum,
        LowerLimit: 'lower limit' as LimitTypeEnum,
        Value: 'value' as LimitTypeEnum
    };
}


